<?php

namespace Treewec\Admin\Authentication;

/**
 * Test class for OnePassword.
 * Generated by PHPUnit on 2012-07-04 at 11:17:12.
 * @group admin_authentication
 */
class OnePasswordTest extends \PHPUnit_Framework_TestCase {

    public function testIsLoggedIn() {        
        $auth = new OnePassword();
        $_SESSION['treewec_logged'] = true;
        parent::assertTrue($auth->isLoggedIn());
        unset($_SESSION['treewec_logged']);
        parent::assertFalse($auth->isLoggedIn());
    }

}

?>